package com.example.vo;

import com.example.entity.Patent;
import com.example.entity.ResearchFiled;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeacherVO implements Serializable {

    private Long id;

    private String name;

    private String profile;

    private String image;

    private String gradauteCourse;

    private String undergradauteCourse;

    private List<ResearchFiled> researchFiled;

    private List<Patent> patent;

    private String email;

    private String phoneNumber;

    private Integer awardsNum;

    private Integer workNum;

    private Integer thesisNum;
}
